#
# spec file for package python-cron-descriptor
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-cron-descriptor
Version:        1.4.5
Release:        2.1
Summary:        Python library that converts cron expressions into human readable strings
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/Salamek/cron-descriptor
Source:         https://github.com/Salamek/cron-descriptor/archive/%{version}.tar.gz#/cron_descriptor-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A Python library that converts cron expressions into human readable strings.

%prep
%setup -q -n cron-descriptor-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests/*.py

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/cron_descriptor
%{python_sitelib}/cron_descriptor-%{version}.dist-info
%lang(all) %{python_sitelib}/cron_descriptor/locale/

%changelog
* Mon Jun 16 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyroject macros.
* Sat Sep 28 2024 Dirk Müller <dmueller@suse.com>
- update to 1.4.4:
  * Simple CLI with all Options implemented
  * GitHub Actions: Add Python 3.13 pre-release to the testing
  * README.md: Supports Python 3.8 - 3.12
  * Correct typo forth to fourth
* Tue Jan 30 2024 Dirk Müller <dmueller@suse.com>
- update to 1.4.3:
  * replace flake8 with ruff
  * CI fixes
* Wed Aug  9 2023 Dirk Müller <dmueller@suse.com>
- update to 1.4:
  * support Vietnamese
  * Possible BC - Parsing call was moved from
    `ExpressionDescriptor.get_description` to
    `ExpressionDescriptor.__init__`  that means parsing
    exceptions are thrown when calling `ExpressionDescriptor`
    constructor and not when calling
    `ExpressionDescriptor.get_description`  modify your exception
    handling accordingly...
  * Possible BC - Option `throw_exception_on_parse_error`
    (boolean) was removed, code now works as if
    `throw_exception_on_parse_error=True` (default - always throw
    exceptions). Remove `throw_exception_on_parse_error` option
    from your code if you were using it.
  * Added missing spanish translation string
  * Add possibility to use custom .mo files, locally
  * Slovak translation
  * Fixes #31
  * Fixes #36
  * Added Korean support by @hanqyu
  * Added Persian support by @Davoodeh
  * Added Tamil support by @sankarhari
  * Added Japanese support by @tho-asterist
  * fixes unclosed open translation file by Rafael Reuber
  * various fixes around
  * Fix CI Build/Deploy on new version
  * Fixes some issues ( #14 #17 ) and some small code refactoring
  * Fixes #13
  * Fixes #10
  * Relase fixing issue #6
  * Release solving issue #4
* Sat Dec  3 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to v1.2.32
  * chore(Format): fix formatting
- Update to v1.2.31
  No changelog
* Tue Sep 27 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to v1.2.30:
  * Fixes #31
  * Fixes #36
  * Implements #52 fix from upstream that fixes #37
- Update to v1.2.27:
  * Added Korean support by @hanqyu
  * Added Persian support by @Davoodeh
  * Added Tamil support by @sankarhari
  * Added Japanese support by @tho-asterist
  * fixes unclosed open translation file by Rafael Reuber
  * various fixes around
* Wed Apr  1 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.2.24
  * Fix CI Build/Deploy on new version
* Mon Sep 16 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.2.23
